import java.util.ArrayList;

import com.collegeboard.gridworld.actor.Actor;
import com.collegeboard.gridworld.actor.Rock;
import com.collegeboard.gridworld.grid.Location;

public class CheatingRockHound extends RockHound
{
   public boolean eat()
   {
      boolean r = false;
      for (Actor a : getNeighbors()) 
      {
         if (a instanceof Rock)
         {
            a.removeSelfFromGrid();
            r = true;
         }
      }
      return r;      
   }
   
   public void move()
   {
      ArrayList<Location> emptyNeighborLocs = getEmptyNeighborLocations();      
      int n = emptyNeighborLocs.size();
       
      if (n > 0)
      {
         Location loc = emptyNeighborLocs.get((int) (n * Math.random()));
         moveTo(loc);      
      }
   }
}
