import java.awt.Color;

import com.collegeboard.gridworld.actor.ActorWorld;
import com.collegeboard.gridworld.actor.Rock;
import com.collegeboard.gridworld.grid.Location;

public class EaterWorld extends ActorWorld
{
   public EaterWorld()
   {
      final int ROCKCOUNT = 10;
      
      Eater myEater = new RockHound(Color.RED);
      add(new Location(3, 3), myEater);

      for (int i = 1; i <= ROCKCOUNT; i++)
         add(new Rock());
      
      addOccupantClass("SmartRockHound");
      addOccupantClass("CheatingRockHound");
   }
   
   public static void main(String[] args)
   {
      new EaterWorld().show();
   }
}
