import com.collegeboard.gridworld.actor.Actor;
import com.collegeboard.gridworld.grid.Grid;
import com.collegeboard.gridworld.grid.Location;

public class HonestEater extends Eater
{
   public Grid<Actor> getGrid()
   {
      return null;
   }   
   
   public final void act()
   {
      int oldActorCount = super.getGrid().getOccupiedLocations().size();
      Location oldLocation = getLocation();
      super.act();
      int newActorCount = super.getGrid().getOccupiedLocations().size(); 
      Location newLocation = getLocation();
      if (newActorCount < oldActorCount - 1
               // ate more than one
            || !newLocation.equals(oldLocation) && newActorCount == oldActorCount - 1 
               // ate and moved
            || !newLocation.equals(oldLocation) && !getValidNeighborLocations().contains(oldLocation))
               // moved too far
      {
         removeSelfFromGrid(); // cheaters get removed
      }
   }   
}
