import com.collegeboard.gridworld.actor.Actor;
import com.collegeboard.gridworld.actor.ActorWorld;
import com.collegeboard.gridworld.actor.Rock;
import com.collegeboard.gridworld.grid.BoundedGrid;

public class FlockWorld extends ActorWorld
{
   public FlockWorld()
   {
      super(new BoundedGrid<Actor>(SIZE, SIZE));
         
      for (int i = 0; i < BOIDCOUNT; i++)
         add(new Boid());
      for (int i = 0; i < ROCKCOUNT; i++)
         add(new Rock());      
   }
   
   public static void main(String[] args)
   {
      new FlockWorld().show();
   }

   private static final int SIZE = 15;
   private static final int BOIDCOUNT = 10;
   private static final int ROCKCOUNT = 2;
}
