import com.collegeboard.gridworld.actor.ActorWorld;
import com.collegeboard.gridworld.actor.Critter;
import com.collegeboard.gridworld.actor.Rock;

/**
 * This program shows an ActorWorld (that is, a world populated with actors)
 * that contains a critter and a rock, added at random locations.
 * Click on empty locations to add additional actors. Click on populated locations
 * to invoke methods on their occupants.
 * 
 * To build your own worlds, define your own actors and a runner class.
 * See the myFirstCritter example for a sample.
 */
public class StarterWorldRunner
{
   public static void main(String[] args)
   {
      ActorWorld world = new ActorWorld();
      world.add(new Critter());
      world.add(new Rock());
      world.show();
   }
}
