import java.awt.Color;
import java.util.Random;

import com.collegeboard.gridworld.grid.Location;

public class BetterHunter extends Hunter
{
  public BetterHunter(Food target)
  {
     super(target);
  }

  public BetterHunter(Food target, Color col)
  {
     super(target, col);
  }

  public void act()
  {
     Location oldLoc = getLocation();
     super.act();
     if(getLocation().equals(oldLoc))
     {
        randTurn();
        if(canMoveForward())
           moveForward();
     }
  }

  public void randTurn()
  {
     Random rand = new Random();
     turn(45*rand.nextInt(8));
  }
}