import java.awt.Color;

import com.collegeboard.gridworld.actor.ActorWorld;
import com.collegeboard.gridworld.actor.Rock;
import com.collegeboard.gridworld.grid.Location;

public class HuntRunner
{
   public static int numRocks = 30;

   public static void main(String[] args)
   {
      ActorWorld world = new ActorWorld();

      for(int k = 0; k < numRocks; k++)
         world.add(new Rock());

      Food blueberry = new Food(Color.blue);
      world.add(new Location(0, 5), blueberry);
      world.add(new Location(9, 9), new Hunter(blueberry, Color.red));

      world.show();
   }
}
