import java.awt.Color;
import java.util.ArrayList;

import com.collegeboard.gridworld.actor.ActorWorld;
import com.collegeboard.gridworld.actor.Rock;
import com.collegeboard.gridworld.grid.Location;

public class ListHuntRunner
{
   public static int numRocks = 30;
   public static int numFood = 10;

   public static void main(String[] args)
   {
      ActorWorld world = new ActorWorld();

      for(int k = 0; k < numRocks; k++)
         world.add(new Rock());

      ArrayList<Food> foodList = new ArrayList<Food>();
      for(int k = 0; k < numFood; k++)
         foodList.add(new Food(Color.blue));

      for(int k = 0; k < foodList.size(); k++)
         world.add(foodList.get(k));

      world.add(new Location(9, 9), new ListHunter(foodList, Color.red));

      world.show();
   }
}
