import java.awt.Color;
import java.util.ArrayList;


public class ListHunter extends BetterHunter
{
   private ArrayList<Food> targetList;

   public ListHunter(ArrayList<Food> targList)
   {
     super(targList.remove(0));
     targetList = targList;
   }

   public ListHunter(ArrayList<Food> targList, Color col)
   {
     super(targList.remove(0), col);
     targetList = targList;
   }

   public void act()
   {
      super.act();
      if(target() == null && targetList.size() > 0)
         setTarget(targetList.remove(0));
   }
}