import java.util.ArrayList;

import com.collegeboard.gridworld.actor.Actor;
import com.collegeboard.gridworld.grid.Grid;
import com.collegeboard.gridworld.grid.Location;

public class Eater extends Actor
{
   public boolean eat() { return false; }
   public void move() {}

   public ArrayList<Location> getEmptyNeighborLocations()
   {
      ArrayList<Location> r = new ArrayList<Location>();
      Grid<Actor> gr = super.getGrid();
      for (Location loc : getValidNeighborLocations())
         if (gr.get(loc) == null)
            r.add(loc);
      return r;
   }

   public ArrayList<Actor> getNeighbors()
   {
      ArrayList<Actor> r = new ArrayList<Actor>();
      Grid<Actor> gr = super.getGrid();
      for (Location loc : getValidNeighborLocations())
      {
         Actor a = gr.get(loc);
         if (a != null) 
            r.add(a);
      }
      return r;
   }   
   
   public void act()
   {
      if (eat())
         count++;
      else
         move();
   }
   
   public String toString() { return super.toString() + "[count=" + count + "]"; }
   
   private int count;
}
