import java.awt.Color;
import java.util.ArrayList;
import com.collegeboard.gridworld.grid.Location;

public class SmartRockHound extends RockHound
{
   public SmartRockHound(Color color)
   {
      super(color);
      visitedLocations = new ArrayList<Location>();      
   }
   
   public void move()
   {
      visitedLocations.add(getLocation());
      for (Location loc : getEmptyNeighborLocations())
      {
         if (!visitedLocations.contains(loc))
         {
            moveTo(loc);
            return;
         }
      }
      super.move();
   }
   
   private ArrayList<Location> visitedLocations;
}
