package com.collegeboard.gridworld.actor;

import java.awt.Color;


/**
 *  A rock is an actor that does nothing. It is commonly used to 
 *  block other actors from moving.
 *
 *  <p>
 *  copyright&copy; 2005 Cay S. Horstmann (http://horstmann.com)
 *  
 *  @author Cay Horstmann
 */

public class Rock extends Actor 
{
   /**
    * This method overrides the setColor method in the Actor class
    * to do nothing--rocks are always black.
    * @param newColor the new color, ignored by this method.
    */
	public void setColor(Color newColor)
	{		
	}

   /**
    * This method defines the abstract method of the Actor class
    * to do nothing.
    */
   public void act()
   {     
   }
}
